
package de.ivu.elect.business.unterstuetzer.control;

import java.io.Serializable;

public class UnterstuetzerEingangssequenznummer implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Long wahlvorschlagId;

  private final long sequenznummer;

  public UnterstuetzerEingangssequenznummer(Long wahlvorschlagId, Long sequenznummer) {
    this.wahlvorschlagId = wahlvorschlagId;
    this.sequenznummer = fixNullToZero(sequenznummer);
  }

  public Long getWahlvorschlagId() {
    return wahlvorschlagId;
  }

  public long getSequenznummer() {
    return sequenznummer;
  }

  private static long fixNullToZero(Long value) {
    if (value == null) {
      return 0;
    }

    return value;
  }
}
